Need help? Chat now!

Hostwinds Tutoriels

Résultats de recherche pour:


Table des matières


Joomla! Configuration système de base
Joomla! Configuration recommandée

Joomla! Configuration requise

Mots clés: Joomla 

Joomla! Configuration système de base
Joomla! Configuration recommandée

Lors de l'installation de Joomla, il existe certaines exigences que Joomla doit se rencontrer pour fonctionner car il existe différentes versions de Joomla.Cet article est écrit pour être utile pour la dernière version au moment de la rédaction.C'est Joomla 3.x, où 'X est un numéro qui aide à décrire la version actuelle.La base et les exigences recommandées pour Joomla à fonction sont énumérées ci-dessous.

Joomla! Configuration système de base

  • Version PHP: Doit être supérieur à la version 5.3.10 de PHP. Cela ne devrait pas poser de problème, car cette version est obsolète depuis longtemps. Tous nos nouveaux plans d'hébergement n'ont pas cette version installée.
  • Base de données: Joomla a la prise en charge de différents types de bases de données. Les bases de données prises en charge sont MYSQL / MARIADB, MS SQL Server et PostgreSQL
    • MySQL / MariaDB: Doit être supérieur à la version 5.1. Une autre version qui n'existerait pas sur nos nouveaux plans d'hébergement.
    • MS SQL Server: Doit être supérieur à la version 10.50.1600.1
    • PostgreSQL: Doit être supérieur à la version 8.3.18
  • Serveur Web: Avec les différents types de bases de données que Joomla prend en charge, il existe également différents serveurs Web. Ceux-ci incluent Apache, Nginx et Microsoft IIS (pour Windows VPS)
    • Apache: Il doit être supérieur à la version 2.0. Nos plans d'hébergement partagés / professionnels auront toujours une version relativement à jour d'Apache, ce n'est donc pas un problème.
    • Nginx: Doit être supérieur à la version 1.0. Nous n'utilisons actuellement pas NGinx. Cependant, cela reste une option pour les serveurs VPS et dédiés.
    • Microsoft IIS: Doit être la version 7. Cependant, ce serait l'équivalent du système d'exploitation Windows uniquement disponible sur Windows VPS ou des serveurs dédiés.

Joomla ne spécifie aucune exigence spécifique pour le serveur, telle que RAM ou même la CPU. Toutefois, si vous avez tendance à courir dans des problèmes de performance avec votre site Joomla, cela peut être dû à un manque de ressources.

Outre les exigences du système de base que Joomla a, il peut également y avoir des options recommandées. Les exigences de base sont minimes pour voir si Joomla fonctionnera sur le système. Cependant, cela ne signifie pas que Joomla fonctionnera de manière optimale ou bien. Vous pouvez trouver une liste ci-dessous des exigences recommandées pour Joomla.

Joomla! Configuration recommandée

  • Version PHP: Joomla vous recommande d'utiliser une version PHP de 5,6 et de hausse ou de 7,0 et plus.
  • Base de données:
    • MySQL / MariaDB: Recommandé pour être supérieur à MySQL 5.5.3
    • MS SQL Server: Également recommandé d'être supérieur à 10.50.1600.1
    • PostgreSQL: Recommandé pour être supérieur à la version 9.1
  • Serveur Web:
    • Apache: Recommandé pour être supérieur à Apache 2.4. Nos nouveaux plans d'hébergement auront cette recommandation respectée
    • Nginx: Recommandé pour être supérieur à la version 1.8
    • Microsoft IIS: Pour Joomla, ils recommanderaient que seule la version 7 soit utilisée

Tout package d'hébergement Web Linux proposé par Hostwinds peut répondre à ces exigences.

Si vous avez d'autres questions, n'hésitez pas à nous contacter via notre chat en direct ou de soumettre un billet.

Écrit par Hostwinds Team  /  Mars 31, 2018